# Author:  Pablo Marti
# Copyright (C) 2006  Warp Networks S.L.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

__version__ = "$Rev: 289 $"

# python imports
import os.path
import utils.globals

# gtkmvc imports
from gtkmvc.view import View

# VMC imports
from views.base import BaseDialogView

class ApplicationView(View):
    """Main view for application"""
    GLADE_FILE = os.path.join(utils.globals.GLADE_DIR, "VMC.glade")
    
    def __init__(self, ctrl):
        View.__init__(self, ctrl, self.GLADE_FILE,
                      'main_window', register=False, domain="VMC")
        self.setup_view()
        ctrl.register_view(self)
    
    def setup_view(self):
        pass

class ApplicationAboutView(BaseDialogView):
    """View for the about dialog"""
    GLADE_FILE = os.path.join(utils.globals.GLADE_DIR, "VMC.glade")
    
    def __init__(self, ctrl):
        BaseDialogView.__init__(self, ctrl, 'about_dialog')
    